#include <libgsloop_config.h>

#include <assert.h>
#include <errno.h>
#include <stdlib.h>
#include <string.h>

#include <gsloop_con.h>
#include <gsloop_sglib.h>


void gsloop_con_add_con(struct gsloop		*gsloop,
			union gsloop_con	*con)
{
	sglib_con_add(&gsloop->con_list, con);
}


int gsloop_con_init(struct gsloop	*gsloop)
{
	gsloop->con_list = NULL;

	return 0;
}


int gsloop_con_destroy(struct gsloop	*gsloop)
{
	struct sglib_con_iterator	it;
	union gsloop_con		*con;
	
	for (con = sglib_con_it_init(&it, gsloop->con_list);
	     con != NULL;
	     con = sglib_con_it_next(&it)) {
		con->common.close(con);
	}

	return 0;
}
